<template>
  <input
    class="inputButton"
    type="button"
    @click="handleClick"
    value="Play again"
  />
</template>

<script>
import { mapActions } from "vuex";
export default {
  name: "ResultPageRestart",
  methods: {
    ...mapActions(["playAgain"]),

    /**
     * If the user wants to play again, restart the game with the same difficulty, category and number of questions as before.
     */
    handleClick() {
      this.playAgain();
      this.$router.push("/questions");
    },
  },
};
</script>

<style>
</style>